import { CandidateEntity } from '@modules/ad/core/domain/candidate.entity';
import { Processor } from '../algorithm.abstract';

export abstract class Completer extends Processor {
  execute = async (candidates: CandidateEntity[]): Promise<CandidateEntity[]> =>
    this.complete(candidates);

  abstract complete(candidates: CandidateEntity[]): Promise<CandidateEntity[]>;
}
